/*
v1.1

*/

/*基础html部分：*/
body {
    padding: 0;
    margin: 0;
    line-height: unset; /*heyui bug*/
}

form {
    margin-bottom: 0;
}

input {
    text-align: inherit !important;
}

input[type=text][disabled] {
    color: #333333;
    background-color: initial;
    cursor: text;
}

a, a:hover {
    color: #333333;
}

/*饿了么框架部分：*/
.el-button + .el-button {
    margin-left: 0;
}

.el-form--inline .el-form-item {
    margin: 0;
}

.el-form-item__content {
    margin-right: 5px;
}

/*优化报错位置*/
.el-form-item__error {
    left: unset;
    top: 5px;
    right: 25px;
}

.el-input-number--small .el-input-number__decrease [class*=el-icon], .el-input-number--small .el-input-number__increase [class*=el-icon] {
    line-height: 30px;
}

/*20180308 按钮间距*/
/*.el-button--mini, .el-select--mini, .el-tag, .el-input--mini {*/
/*margin-right: 6px;*/
/*}*/

.el-button--mini {
    padding: 6px;
}

.flex-column {
    /*margin-bottom: 6px;*/
}

.el-pagination {
    padding: 0;
}

.el-pagination .el-select .el-input {
    margin: 0;
}

/*统一按钮和输入框高度*/
.el-tag, .el-pagination .el-select .el-input .el-input__inner, .el-input--mini .el-input__inner,
.el-pagination span:not([class*=suffix]), .el-pagination__editor.el-input .el-input__inner,
.el-button--mini, .el-radio-button--mini {
    height: 30px;
}

/*加大图标*/
[class*=" el-icon-"], [class^=el-icon-] {
    font-size: 20px !important;
}

.el-input-number--mini .el-input-number__decrease [class*=el-icon], .el-input-number--mini .el-input-number__increase [class*=el-icon] {
    font-size: 28px !important;
}

.el-tag--info, .el-button--info.is-plain {
    background-color: #f0f0f0;
    color: #666;
    /*background-color: #3c3f41;*/
    /*color: #999999;*/
}

.el-tag, .el-tag--mini {
    line-height: 28px;
}

/*20180314*/
.el-table td, .el-table th {
    padding: 0;
    height: 30px;
    font-size: 12px;
}

.el-table .cell {
    padding: 0 5px !important;
}

/*20180409*/
.cell .el-button--mini {
    height: 26px;
    margin-right: 2px;
}

.el-checkbox__inner {
    width: 22px;
    height: 22px;
}

.el-checkbox__inner::after {
    height: 14px;
    left: 8px;
}

/*.el-upload-list__item {*/
/*height: 24px;*/
/*}*/

.el-upload-list {
    display: none !important;
}

.el-table__empty-block {
    height: inherit;
}

/*20180417*/
.el-dialog__body {
    padding: 10px;
}

/*.el-input-number {*/
/*margin-right: 6px;*/
/*}*/

.el-notification {
    /*width: 250px;*/
    padding: 8px;
}

.el-notification.right {
    right: 24px;
}

.el-notification__group {
    margin: 0;
}

.el-notification__content {
    margin: 0;
}

.el-notification .el-button--mini {
    margin-right: 6px;
}

.el-tabs__header {
    margin: 0;
}

.el-tree-node__label {
    font-size: 16px;
    color: #333333;
}

.el-input--mini .el-input__inner { /*//防止多选自动加高*/
    height: 30px !important;
}

/*20180604*/
.el-popover {
    padding: 6px;
    min-width: 10px;
}

/*穿梭框*/
.el-transfer-panel .el-transfer-panel__header {
    height: 30px;
    padding-top: 3px;
    padding-left: 8px;
}

.el-transfer-panel__item {
    padding-left: 8px;
}

.el-transfer-panel__filter {
    margin: 0;
}

.el-transfer-panel__filter .el-input__inner {
    border-radius: 0;
}

.el-transfer-panel .el-checkbox__inner {
    height: 18px;
    width: 18px;
}

.el-input-number--mini {
    width: auto;
}

.el-button--warning {
    border-color: #ff9d1e;
    background-color: #ff9d1e;
}

.el-steps--vertical {
    height: initial;
}

.el-step.is-vertical {
    flex-basis: initial !important;
}

.el-step.is-vertical .el-step__main {
    padding-bottom: 20px;
}

.el-table__expand-icon > .el-icon {
    margin-left: -10px;
    margin-top: -10px;
}

.el-table__expanded-cell[class*=cell] {
    padding: 6px 6px 48px 48px;
}

.el-form-item--mini.el-form-item, .el-form-item--small.el-form-item {
    /*border-bottom: 1px solid #ccc;*/
    margin-bottom: 8px;
    padding-bottom: 8px;
}

.el-table__empty-block {
    min-height: initial;
    padding: 8px;
}

.el_table_gray > th, .el_table_gray > td {
    background-color: #f5f5f5 !important;
}

/*20190219 begin*/
.el-card {
    margin: 10px 10px 0 10px;
    padding: 10px;
}

.el-card__header, .el-card__body {
    padding: 0;
    margin: 0;
}

.el-input.is-disabled .el-input__inner, .el-textarea.is-disabled .el-textarea__inner {
    background-color: #fff;
    border: 1px solid #dcdfe6;
    color: #606266;
    cursor: text !important;
}

.el-select {
    width: 100%;
}

.el_card {
    margin: 10px 10px 0 10px;
    border: 1px solid #ebeef5;
    box-shadow: 0 2px 12px 0 rgba(0, 0, 0, .1);
}

/*禁用状态下隐藏下拉选*/
.el-select .el-input.is-disabled .el-input__suffix {
    display: none;
}

.el_panel_title {
    vertical-align: middle;
    /*margin: 10px;*/
    line-height: 30px;
    padding-right: 10px;
    font-weight: bold;
    float: left;
}

.el-autocomplete {
    display: block;
}

.el-loading-mask {
    /*-webkit-transition: opacity 1s ease-in;*/
    /*-moz-transition: opacity 1s ease-in;*/
    /*-o-transition: opacity 1s ease-in;*/
    /*transition: opacity 1s ease-in;*/
}

.el-header, .el-footer, .el-main {
    padding: 0;
}

.el-switch__label * {
    line-height: 19px;
}

/*20190219 end*/

/*jquery ui layout 四边布局部分*/
/*布局调整条*/
.ui-layout-resizer {
    /*background-color: #eee;*/
    /*background-color: #8b8b8b;*/
    background-color: #496180;
}

#vm .ui-layout-resizer {
    background-color: #eeeeee;
}

.ui-layout-toggler {
    border: none;
    background-color: #ddd;
    /*background-color: #a4a4a4;*/
}

.ui-layout-pane {
    /*border: 1px solid #ddd;*/
    border: none;
}

.ui-layout-center {
    /*padding: 6px;*/
    padding: 0;
}

/*20180312护眼色*/
.ui-layout-pane, .el-tree {
    background-color: #FFF;
    /*background-color: #2b2b2b;*/
}

/*heyui部分*/
.h-autocomplete-disabled .h-autocomplete-show,
.h-select-disabled .h-select-show, .h-select-disabled .h-select-show:hover {
    background-color: initial;
    color: #333333 !important;
    cursor: text;
}

.h-select-disabled .h-select-show .h-icon-down {
    display: none;
}

.el-form-item.is-error .h-autocomplete .h-autocomplete-show,
.el-form-item.is-error .h-category-input-border .h-category-show {
    border-color: #f56c6c;
}

.h-autocomplete .h-autocomplete-show > .h-icon-close {
    visibility: hidden;
}

.h-autocomplete .h-autocomplete-show:hover > .h-icon-close {
    visibility: visible;
}

.h-category-multiple-tags {
    display: block;
    white-space: nowrap;
    overflow: hidden;
}

.h-notify .h-notify-container {
    transition: none;
}

.h-modal .h-notify-content {
    padding: 0;
}

.h-category-multiple-tags > span > .h-icon-close {
    display: none;
}

/*在线excel spreadjs部分*/

/*允许用户选中*/
.gc-cell {
    /*-moz-user-select: text!important;*/
    -webkit-user-select: text !important;
    /*-ms-user-select: text!important;*/
    user-select: text !important;
}

/*20180615表格分组样式*/
.gc-grouping-container {
    height: 33px !important;
}

.gc-grouping-help-content {
    padding: 4px !important;
}

.gc-grouping-indicator {
    margin: 2px !important;
}

.gc-grouping-indicator .gc-icon {
    vertical-align: initial !important;
    margin: 2px !important;
}

.gc-icon.gc-icon-grouping-delete:before {
    font-size: 16px !important;
}

.gc-action {
    padding: 0 !important;
    margin: 1px 2px !important;
    border-radius: 0 !important;
    line-height: 22px !important;
    width: auto !important;
    min-width: 46px !important;
}

.gc-action {
    color: #409eff !important;
    background: #ecf5ff !important;
    border-color: #b3d8ff !important;
}

/*自定义弹窗jsPanel部分*/

.jsPanel-theme-default {
    opacity: 0.9 !important;
    /*z-index: 200 !important;*/
}

.jsPanel .jsPanel-content {
    overflow: auto;
    border: none !important;
}

.jsPanel-theme-default {
    background-color: #8E8F8F;
    /*border-color: #cfd8dc;*/
    border-radius: 10px;
}

.jsPanel-depth-3 {
    box-shadow: 0 3px 0px #cccccc !important;
}

.jsPanel-hdr-toolbar.active {
    background-color: white;
}

.jsPanel-hdr-toolbar {
    background-color: #fff;
}

.jsPanel-modal-backdrop {
    position: absolute;
}

.jsPanel-titlebar {
    height: initial !important;
}

/*flexmonster部分*/
.vue-grid-layout {
    background: #eee;
}

.vue-grid-item:not(.vue-grid-placeholder) {
    background: #ccc;
}

.vue-grid-item > .vue-resizable-handle {
    z-index: 100;
}

#fm-pivot-view {
    min-width: 280px !important;
    min-height: 120px !important;
}

/*#隐藏广告*/
#fm-branding-bar {
    display: none !important;
}

/*杂七杂八部分*/
.valid_error {
    border: 1px solid #ff5a57;
}

/*#fm-pivot-view #fm-branding-bar {*/
/*height: 0 !important;*/
/*}*/

.space_right {
    margin: 0 6px 0 0;
}

.title_13 {
    font-size: 13px;
    color: #333333;
    padding: 5px
}

.title_16_bold {
    font-size: 16px;
    color: #333333;
    font-weight: bold;
    padding: 4px
}

.div_h28 {
    float: left;
    height: 28px;
    line-height: 28px;
}

.panel_badge_f1 {
    color: #666666;
    line-height: 35px;
    text-align: center;
}

.panel_badge_f2 {
    color: #ff8f00;
    font-size: 14px;
    vertical-align: bottom;
}

.el_form_item0 {
    margin-bottom: 8px;
}

.el_form_item0 .el-form-item__label {
    line-height: 30px;
    padding: 0;
    font-weight: bold;
}

.el_row_item {
    float: left;
    margin-right: 6px;
}

.amap-marker-label {
    border-radius: 10px;
    color: #a1a1a1;
    border: 1px solid #a1a1a1;
}

.table_head_underline {
    border-bottom: 1px #ccc solid;
    display: flex;
    margin-bottom: 6px;
    padding-bottom: 6px;
}

.focus_input input {
    border-color: #409EFF;
}

.el_modal {
    z-index: 1000 !important;
}

.el_modal_backdrop {
    z-index: 999;
    background: black;
    opacity: 0.3;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.amap-copyright {
    visibility: hidden !important;
}

.amap-scalecontrol, .amap-toolbar, .amap-overviewcontrol {
    z-index: 99;
}

.amap-marker-label {
    border-radius: 10px;
    color: #a1a1a1;
    border: 1px solid #a1a1a1;
}

.el_button0 {
    padding: 0 4px;
    line-height: 20px;
}

.el_margin_r6 {
    margin-right: 6px;
    float: left;
}

.el-menu--horizontal {
    border: none;
}

.el-menu--horizontal > .el-submenu .el-submenu__title {
    height: 30px;
    line-height: 30px;
}

.el-submenu__title {
    padding: 0 10px;
}

/*duoziduanfenye*/
.gc-column-header-cell .el_spread_view_sort_none:after {
    /*font-family: dataview;*/
    /*content: '1\E801';*/
    float: right;
}

.gc-column-header-cell .el_spread_view_sort_asc0:after {
    font-family: dataview;
    content: '1\E801';
    float: right;
}

.gc-column-header-cell .el_spread_view_sort_desc0:after {
    font-family: dataview;
    content: '1\E800';
    float: right;
}

.gc-column-header-cell .el_spread_view_sort_asc1:after {
    font-family: dataview;
    content: '2\E801';
    float: right;
}

.gc-column-header-cell .el_spread_view_sort_desc1:after {
    font-family: dataview;
    content: '2\E800';
    float: right;
}

.gc-column-header-cell .el_spread_view_sort_asc2:after {
    font-family: dataview;
    content: '3\E801';
    float: right;
}

.gc-column-header-cell .el_spread_view_sort_desc2:after {
    font-family: dataview;
    content: '3\E800';
    float: right;
}

.el-menu--horizontal > .el-submenu .el-submenu__icon-arrow {
    margin-left: 0px;
}

.el_ncform .h-layout {
    padding: 0;
    /*display: initial;*/
    display: block;
}

.el_ncform .h-layout .el-form-item {
    margin-bottom: 0 !important;
}

.el_ncform .h-layout .el-form-item__label {
    line-height: 30px;
    height: 50px;
    font-weight: bold;
    padding: 0 5px 0 0;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.el_ncform .__object-form-item {
    margin-top: 0;
}

.el_ncform .v-layout {
    padding: 0;
    display: block;
}

.el_ncform .v-layout .el-form-item {
    /*height: 76px;*/
}

.el_ncform .v-layout .ncform-radio {
    height: 30px;
    padding-top: 6px;
}

.el_ncform .v-layout .el-form-item__label {
    line-height: 30px;
    /*height: 30px;*/
    font-weight: bold;
    padding: 0;
}

.el_ncform .v-layout .el-form-item__label + div {
    height: 46px;
}

.el_ncform .invalid-feedback {
    line-height: 16px;
    font-size: 14px;
}

.el-input-number__decrease, .el-input-number__increase {
    padding: 4px 0;
}

.el-input-number--mini .el-input-number__decrease, .el-input-number--mini .el-input-number__increase {
    padding: 0;
}

.ncform .el-icon-remove:before {
    color: #999;
}

.ncform .el-button--danger {
    background-color: #eee;
    border-color: #eee;
    color: #999;
}

.h-layout .ncform-radio.__ncform-control {
    padding-top: 8px;
}

/*新版tab,解决各种列表不显示bug*/
.el_tabs_v1 {
    display: flex;
    flex-direction: row;
    will-change: transform;
    height: 100%;
}

.el_tabpane_v1 {
    display: block;
    flex-shrink: 0;
    width: 100%;
    /*height: 100%;*/
    height: auto;
    /*padding: 10px;*/
    padding: 0;
    /*background-color: rgb(249, 249, 249);*/
    /*z-index: 1;*/
    overflow-y: auto;
}

/*.h-tabs-menu{*/
/*height: 100%;*/
/*!*overflow: hidden;*!*/
/*}*/
/*.h-tabs-menu > .h-tabs-item {*/
/*background-color: rgb(249, 249, 249);*/
/*z-index: 1;*/
/*}*/

.h-tabs-menu > .h-tabs-item + div {
    margin: 0;
}

.h-tabs-menu > .h-tabs-item:hover, .h-tabs-menu > .h-tabs-item.h-tabs-item-selected {
    color: #409EFF;
    border-right: 2px solid #409EFF;
}

/*新版tab,解决各种列表不显示bug end*/

.ui-resizable-s {
    height: 8px;
    bottom: 0px;
}

.gc-popup-editing-area {
    width: 100% !important;
    height: 100% !important;
    /*overflow-y: auto !important;*/
}

.gc-editing-content {
    margin: 5px 0 !important;
    height: calc(100% - 80px) !important;
    overflow-y: auto !important;
}

.gc-editing-footer {
    height: 40px !important;
    padding: 0 0 5px !important;
}

/*关闭按钮无效,暂时隐藏*/
.gc-editing-close .close-icon {
    visibility: hidden !important;
}

.gc-editing-template-field.rtl, .gc-editing-template-label {
    width: 55% !important;
}

.gc-editing-template-field, .gc-editing-template-label.rtl {
    width: 40% !important;
    margin-right: 5px !important;
}

.el_form_title1 {
    width: 100%;
    /*height: 35px !important;*/
    font-size: 16px;
    font-weight: bold;
    /*color: rgba(255,167,232, 0.2);*/
    color: #666;
    border-bottom: 1px solid #666;
    margin-bottom: 10px;
}

/*ncform 查询参数表单 start*/
.param_form1 .__array-table-form-item .table input[type=text] {
    padding: 4px;
}

.param_form1 .__array-table-form-item .table td:last-child {
    /*width: initial!important;*/
    width: auto !important;
}

.param_form1 .__array-table-form-item .table thead th:nth-child(1) {
    width: 21%;
}

.param_form1 .__array-table-form-item .table thead th:nth-child(2) {
    width: 17%;
}

.param_form1 .__array-table-form-item .table thead th:nth-child(3) {
    width: 28%;
}

.param_form1 .__array-table-form-item .table thead th:nth-child(4) {
    width: 28%;
}

.param_form1 .el-date-editor .el-input__prefix {
    display: none;
}

/*ncform 查询参数表单 end*/

.top_form1 .v-layout .el-form-item__label + div {
    height: unset;
}

.top_form1 .h-layout .el-form-item__label {
    line-height: 30px;
    height: 35px;
    font-weight: bold;
    padding: 0 5px 0 0;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.h-dropdown {
    z-index: 5000;
}

.mx-datepicker {
    width: 100%;
}

.mx-calendar-icon {
    height: unset;
}

.mx-datepicker-popup {
    z-index: 9999;
}

.el_input_highlight_1 {
    border: 1px solid lightpink;
}

.ncform-checkbox.__ncform-control {
    padding: 0;
}

.ncform-checkbox .check-all {
    margin: 0;
}

.h-layout .ncform-checkbox.__ncform-control {
    padding: 0;
    /*text-align: left;*/
}

.h-layout .el-form-item__content div{
    vertical-align: middle;
}
.el-menu--horizontal > .el-menu-item {
    height: unset;
    line-height: 28px;
}
/*hot部分*/
.red_background_1 {
    background-color: #e3abb9 !important;
}

.handsontable td, .handsontable th {
    white-space: nowrap !important;
    text-overflow: ellipsis;
}

.handsontable thead th .relative {
    padding: 2px 0 !important;
}

.handsontable .changeType {
    margin: 1px 2px !important;
}

.htDropdownMenu {
    z-index: 10000 !important;
}

.htFiltersConditionsMenu {
    z-index: 10001 !important;
}

.htDropdownMenu table.htCore {
    width: 360px !important;
    /*min-height: 400px!important;*/
}

/*.htUIMultipleSelect .ht_master .wtHolder{*/
/*min-height: 400px!important;*/
/*}*/

.handsontable .htUIMultipleSelectHot {
    height: 200px !important;
}

/*.handsontable span.colHeader {*/
/*width: calc(100% - 20px);*/
/*overflow-x: hidden;*/
/*}*/

.hot_current_row {
    border-bottom: 1px solid #f88 !important;
}

.handsontable .checkbox1 .htCheckboxRendererInput {
    margin: 0;
    width: 46px;
    height: 14px;
    zoom: 150%;
}

.handsontable .button1 {
    width: 100%;
    height: 21px;
    line-height: 17px;
}

.blue_background_1 {
    background-color: #a5bee3 !important;
}

